<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__ble__wss_8h" kind="file" language="C++">
    <compoundname>cy_ble_wss.h</compoundname>
    <includes local="yes" refid="cy__ble_8h">cy_ble.h</includes>
    <includedby local="yes" refid="cy__ble__event__handler_8h">cy_ble_event_handler.h</includedby>
    <innerclass prot="public" refid="structcy__stc__ble__wss__char__value__t">cy_stc_ble_wss_char_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__wss__descr__value__t">cy_stc_ble_wss_descr_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__wsss__char__t">cy_stc_ble_wsss_char_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__wsss__t">cy_stc_ble_wsss_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__wssc__char__t">cy_stc_ble_wssc_char_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__wssc__t">cy_stc_ble_wssc_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__wsss__config__t">cy_stc_ble_wsss_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__wssc__config__t">cy_stc_ble_wssc_config_t</innerclass>
      <sectiondef kind="define">
      <memberdef id="cy__ble__wss_8h_1a315dacc713f8271b380e175152b61c93" kind="define" prot="public" static="no">
        <name>CY_BLE_WSS_UNKNOWN_USER</name>
        <initializer>(0xFFu)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" bodystart="34" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" line="34" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="enum">
      <memberdef id="group__group__ble__service__api___w_s_s__definitions_1gac4573c7d827520f05d8844b2732fbad0" kind="enum" prot="public" static="no">
        <name>cy_en_ble_wss_char_index_t</name>
        <enumvalue id="group__group__ble__service__api___w_s_s__definitions_1ggac4573c7d827520f05d8844b2732fbad0ac37645bdfa853d062959545a96c8fa1e" prot="public">
          <name>CY_BLE_WSS_WEIGHT_SCALE_FEATURE</name>
          <briefdescription>
<para>Weight Scale Feature Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___w_s_s__definitions_1ggac4573c7d827520f05d8844b2732fbad0acdaaf24099c6843873f98fd469582ad9" prot="public">
          <name>CY_BLE_WSS_WEIGHT_MEASUREMENT</name>
          <briefdescription>
<para>Weight Measurement Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___w_s_s__definitions_1ggac4573c7d827520f05d8844b2732fbad0a3cc998ab9723c289445885600faff852" prot="public">
          <name>CY_BLE_WSS_CHAR_COUNT</name>
          <briefdescription>
<para>Total Count of WSS Characteristics. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_wss_char_index_t: </bold><linebreak />WSS Characteristic indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="52" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" bodystart="47" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" line="48" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___w_s_s__definitions_1ga6bafabf64300f164347aade2e4639c96" kind="enum" prot="public" static="no">
        <name>cy_en_ble_wss_descr_index_t</name>
        <enumvalue id="group__group__ble__service__api___w_s_s__definitions_1gga6bafabf64300f164347aade2e4639c96af04a56bbf095afd3d85bb54b3efde659" prot="public">
          <name>CY_BLE_WSS_CCCD</name>
          <briefdescription>
<para>Client Characteristic Configuration Descriptor index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___w_s_s__definitions_1gga6bafabf64300f164347aade2e4639c96ae7aa48dfff0d08cdd3fcc940b0b17fe1" prot="public">
          <name>CY_BLE_WSS_DESCR_COUNT</name>
          <briefdescription>
<para>Total Count of Descriptors. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_wss_descr_index_t: </bold><linebreak />WSS Characteristic Descriptors indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="59" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" bodystart="55" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" line="56" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="var">
      <memberdef id="cy__ble__wss_8h_1ab3db066559c62989c0695079e278bfac" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__ble__wsss__config__t">cy_stc_ble_wsss_config_t</ref> *</type>
        <definition>const cy_stc_ble_wsss_config_t* cy_ble_wsssConfigPtr</definition>
        <argsstring />
        <name>cy_ble_wsssConfigPtr</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.c" bodystart="58" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" line="204" />
      </memberdef>
      <memberdef id="cy__ble__wss_8h_1a1dafc81e734834256260bf9cf995aaa7" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__ble__wssc__config__t">cy_stc_ble_wssc_config_t</ref> *</type>
        <definition>const cy_stc_ble_wssc_config_t* cy_ble_wsscConfigPtr</definition>
        <argsstring />
        <name>cy_ble_wsscConfigPtr</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.c" bodystart="61" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" line="205" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___w_s_s__server__client_1ga13e1b6f5aaf43fb336c36d0f3c646c8f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_WSSS_Init</definition>
        <argsstring>(const cy_stc_ble_wsss_config_t *config)</argsstring>
        <name>Cy_BLE_WSSS_Init</name>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__ble__wsss__config__t">cy_stc_ble_wsss_config_t</ref> *</type>
          <declname>config</declname>
        </param>
        <briefdescription>
<para>This function initializes server for the Weight Scale service. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>config</parametername>
</parameternamelist>
<parameterdescription>
<para>Configuration structure for the WSS.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref> : Return value indicates whether the function succeeded or failed. The following are possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The function completed successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying NULL as input parameter. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Buffer overflow in the registration callback. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="106" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.c" bodystart="83" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" line="144" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___w_s_s__server__client_1gac6c3728e735d13d2dabb0072016478e5" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_WSSC_Init</definition>
        <argsstring>(const cy_stc_ble_wssc_config_t *config)</argsstring>
        <name>Cy_BLE_WSSC_Init</name>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__ble__wssc__config__t">cy_stc_ble_wssc_config_t</ref> *</type>
          <declname>config</declname>
        </param>
        <briefdescription>
<para>This function initializes client for the Weight Scale service. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>config</parametername>
</parameternamelist>
<parameterdescription>
<para>Configuration structure for the WSS.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref> : Return value indicates whether the function succeeded or failed. The following are possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The function completed successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying NULL as input parameter. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Buffer overflow in the registration callback. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="173" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.c" bodystart="128" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" line="145" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___w_s_s__server__client_1ga728d5d035c633731b93f87c98c531801" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_BLE_WSS_RegisterAttrCallback</definition>
        <argsstring>(cy_ble_callback_t callbackFunc)</argsstring>
        <name>Cy_BLE_WSS_RegisterAttrCallback</name>
        <param>
          <type><ref kindref="member" refid="group__group__ble__common__api__gap__definitions_1ga61c94db1ed82ed7113ce6aaecb5fead8">cy_ble_callback_t</ref></type>
          <declname>callbackFunc</declname>
        </param>
        <briefdescription>
<para>Registers a callback function for service-specific attribute operations. </para>        </briefdescription>
        <detaileddescription>
<para>Service-specific Write Requests from the peer device will not be handled with an unregistered callback function.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>callbackFunc</parametername>
</parameternamelist>
<parameterdescription>
<para>An application layer event callback function to receive events from the PSoC 6 BLE Middleware. The definition of <ref kindref="member" refid="group__group__ble__common__api__gap__definitions_1ga61c94db1ed82ed7113ce6aaecb5fead8">cy_ble_callback_t</ref> for WSS service is:<linebreak />
 typedef void (* cy_ble_callback_t) (uint32_t eventCode, void *eventParam), where:<itemizedlist>
<listitem><para>eventCode: Indicates the event that triggered this callback (e.g. <ref kindref="member" refid="group__group__ble__service__api__events_1ggada4b6b6d080ad4380e3a2e3cab4f2d51a8489ab2f19a4bb7d56b0193a91aa6fd0">CY_BLE_EVT_WSSS_INDICATION_ENABLED</ref>).</para></listitem><listitem><para>eventParam: Contains the parameters corresponding to the current event (e.g. pointer to <ref kindref="compound" refid="structcy__stc__ble__wss__char__value__t">cy_stc_ble_wss_char_value_t</ref> structure that contains details of the characteristic for which the notification enabled event was triggered). </para></listitem></itemizedlist>
</para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="200" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.c" bodystart="197" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" line="146" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___w_s_s__server_1ga64ca37f62f919e2022838b16d14f9284" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint8_t</type>
        <definition>uint8_t Cy_BLE_WSS_GetAdUserIdListSize</definition>
        <argsstring>(uint8_t advertisingParamIndex)</argsstring>
        <name>Cy_BLE_WSS_GetAdUserIdListSize</name>
        <param>
          <type>uint8_t</type>
          <declname>advertisingParamIndex</declname>
        </param>
        <briefdescription>
<para>Returns the size (in bytes) of the User ID List in the advertisement packet. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>advertisingParamIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the peripheral and broadcast configuration in the customizer. For example:<itemizedlist>
<listitem><para>CY_BLE_PERIPHERAL_CONFIGURATION_0_INDEX</para></listitem><listitem><para>CY_BLE_BROADCASTER_CONFIGURATION_0_INDEX</para></listitem></itemizedlist>
</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Size of User ID List. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="478" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.c" bodystart="426" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" line="153" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___w_s_s__server_1ga32aac713112ce5bf3fb15f0f4a7350f9" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_WSS_SetAdUserId</definition>
        <argsstring>(uint8_t listSize, const uint8_t userIdList[], uint8_t advertisingParamIndex)</argsstring>
        <name>Cy_BLE_WSS_SetAdUserId</name>
        <param>
          <type>uint8_t</type>
          <declname>listSize</declname>
        </param>
        <param>
          <type>const uint8_t</type>
          <declname>userIdList</declname>
          <array>[]</array>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>advertisingParamIndex</declname>
        </param>
        <briefdescription>
<para>Sets the User ID List to the advertisement packet. </para>        </briefdescription>
        <detaileddescription>
<para>To be able to set the User ID List with this function, the advertisement packet should be configured in the Component GUI to include Weight Scale service UUID in the service Data field. The service Data should have enough room to fit the User ID List that is planned to be advertised. To reserve the room for the User ID List, the service Data for WSS should be filled with Unknown User ID - 0xFF. The amount of 0xFF's should be equal to the User List Size that is planned to be advertised. This function must be called when <ref kindref="member" refid="group__group__ble__common__api__functions_1ga6aa500ab2cc083234ab0df7142511bb2">Cy_BLE_StackGetBleSsState()</ref> returns CY_BLE_BLESS_STATE_EVENT_CLOSE state.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>listSize</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the User List. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>userIdList</parametername>
</parameternamelist>
<parameterdescription>
<para>The array contains a User List. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>advertisingParamIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the peripheral and broadcast configuration in the customizer. For example:<itemizedlist>
<listitem><para>CY_BLE_PERIPHERAL_CONFIGURATION_0_INDEX</para></listitem><listitem><para>CY_BLE_BROADCASTER_CONFIGURATION_0_INDEX</para></listitem></itemizedlist>
</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>A return value of type <ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref>.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The request was handled successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On NULL pointer, Data length in input parameter exceeds maximum advertisement packet length. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_OPERATION &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The advertisement packet doesn't contain the User List or it is to small or ADV event is not closed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="408" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.c" bodystart="320" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" line="155" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___w_s_s__server_1ga052664493c2671fd0c97de7356d76d88" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_WSSS_SetCharacteristicValue</definition>
        <argsstring>(cy_en_ble_wss_char_index_t charIndex, uint8_t attrSize, uint8_t *attrValue)</argsstring>
        <name>Cy_BLE_WSSS_SetCharacteristicValue</name>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___w_s_s__definitions_1gac4573c7d827520f05d8844b2732fbad0">cy_en_ble_wss_char_index_t</ref></type>
          <declname>charIndex</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>attrSize</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>attrValue</declname>
        </param>
        <briefdescription>
<para>Sets a value for one of two characteristic values of the Weight Scale service. </para>        </briefdescription>
        <detaileddescription>
<para>The characteristic is identified by charIndex.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>charIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of a Weight Scale service characteristic. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrSize</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the characteristic value attribute. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrValue</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the characteristic value data that should be stored to the GATT database.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>A return value of type <ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref>.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The request was handled successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Validation of the input parameter failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="539" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.c" bodystart="502" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" line="159" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___w_s_s__server_1gae0608ae961a56de2e049969502f7e154" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_WSSS_GetCharacteristicValue</definition>
        <argsstring>(cy_en_ble_wss_char_index_t charIndex, uint8_t attrSize, uint8_t *attrValue)</argsstring>
        <name>Cy_BLE_WSSS_GetCharacteristicValue</name>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___w_s_s__definitions_1gac4573c7d827520f05d8844b2732fbad0">cy_en_ble_wss_char_index_t</ref></type>
          <declname>charIndex</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>attrSize</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>attrValue</declname>
        </param>
        <briefdescription>
<para>Reads a characteristic value of the Weight Scale service, which is identified by charIndex from the GATT database. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>charIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the Weight Scale service characteristic. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrSize</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the Weight Scale service characteristic value attribute. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrValue</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the location where characteristic value data should be stored.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>A return value of type <ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref>.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The request was handled successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Validation of the input parameter failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="600" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.c" bodystart="563" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" line="162" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___w_s_s__server_1gaec4f231e95c86001c7883fb7ae974db8" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_WSSS_SetCharacteristicDescriptor</definition>
        <argsstring>(cy_stc_ble_conn_handle_t connHandle, cy_en_ble_wss_char_index_t charIndex, cy_en_ble_wss_descr_index_t descrIndex, uint8_t attrSize, uint8_t *attrValue)</argsstring>
        <name>Cy_BLE_WSSS_SetCharacteristicDescriptor</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
          <declname>connHandle</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___w_s_s__definitions_1gac4573c7d827520f05d8844b2732fbad0">cy_en_ble_wss_char_index_t</ref></type>
          <declname>charIndex</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___w_s_s__definitions_1ga6bafabf64300f164347aade2e4639c96">cy_en_ble_wss_descr_index_t</ref></type>
          <declname>descrIndex</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>attrSize</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>attrValue</declname>
        </param>
        <briefdescription>
<para>Sets the characteristic descriptor of the specified characteristic. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>connHandle</parametername>
</parameternamelist>
<parameterdescription>
<para>The connection handle. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>charIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the service characteristic. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>descrIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the descriptor. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrSize</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the characteristic descriptor attribute. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrValue</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the descriptor value data to be stored in the GATT database.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>A return value of type <ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref>.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The request was handled successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Validation of the input parameter failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="653" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.c" bodystart="625" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" line="165" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___w_s_s__server_1gaf1d71bc0a61e069af9f0d7ea6179ea57" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_WSSS_GetCharacteristicDescriptor</definition>
        <argsstring>(cy_stc_ble_conn_handle_t connHandle, cy_en_ble_wss_char_index_t charIndex, cy_en_ble_wss_descr_index_t descrIndex, uint8_t attrSize, uint8_t *attrValue)</argsstring>
        <name>Cy_BLE_WSSS_GetCharacteristicDescriptor</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
          <declname>connHandle</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___w_s_s__definitions_1gac4573c7d827520f05d8844b2732fbad0">cy_en_ble_wss_char_index_t</ref></type>
          <declname>charIndex</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___w_s_s__definitions_1ga6bafabf64300f164347aade2e4639c96">cy_en_ble_wss_descr_index_t</ref></type>
          <declname>descrIndex</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>attrSize</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>attrValue</declname>
        </param>
        <briefdescription>
<para>Reads a a characteristic descriptor of a specified characteristic of the Weight Scale service from the GATT database. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>connHandle</parametername>
</parameternamelist>
<parameterdescription>
<para>The connection handle. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>charIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the characteristic. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>descrIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the descriptor. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrSize</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the descriptor value. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrValue</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the location where characteristic descriptor value data should be stored.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>A return value of type <ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref>.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The request was handled successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Validation of the input parameter failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="712" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.c" bodystart="679" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" line="170" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___w_s_s__server_1gab9c7ee25c4543bd73783c2d3e1706b91" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_WSSS_SendIndication</definition>
        <argsstring>(cy_stc_ble_conn_handle_t connHandle, cy_en_ble_wss_char_index_t charIndex, uint8_t attrSize, uint8_t *attrValue)</argsstring>
        <name>Cy_BLE_WSSS_SendIndication</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
          <declname>connHandle</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___w_s_s__definitions_1gac4573c7d827520f05d8844b2732fbad0">cy_en_ble_wss_char_index_t</ref></type>
          <declname>charIndex</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>attrSize</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>attrValue</declname>
        </param>
        <briefdescription>
<para>Sends an indication with a characteristic value of the Weight Scale service, which is a value specified by charIndex, to the client's device. </para>        </briefdescription>
        <detaileddescription>
<para>On enabling indication successfully it sends out a 'Handle Value Indication' which results in <ref kindref="member" refid="group__group__ble__service__api__events_1ggada4b6b6d080ad4380e3a2e3cab4f2d51ac45e4f1a3823cbae6e86662b71fefcde">CY_BLE_EVT_WSSC_INDICATION</ref> or <ref kindref="member" refid="group__group__ble__common__api__events_1gga7c1ef7e6d246e0f3eb6c883e23d82b86a525831f0cb1083b8a894f34d1208f5f8">CY_BLE_EVT_GATTC_HANDLE_VALUE_IND</ref> (if service-specific callback function is not registered) event at the GATT Client's end.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>connHandle</parametername>
</parameternamelist>
<parameterdescription>
<para>The connection handle. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>charIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the service characteristic. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrSize</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the characteristic value attribute. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrValue</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the characteristic value data that should be sent to the client's device.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>A return value of type <ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref>.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The request was handled successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Validation of the input parameter failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_OPERATION &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;This operation is not permitted. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_GATT_DB_INVALID_ATTR_HANDLE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;An optional characteristic is absent. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_STATE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Connection with the client is not established. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Memory allocation failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_IND_DISABLED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Indication is not enabled by the client. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim><simplesect kind="par"><title>Events</title><para>In case of successful execution (return value = <ref kindref="member" refid="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619ea26e476ee364252903ce212deeb6ec064">CY_BLE_SUCCESS</ref>) the following events can appear: <linebreak />
 If the WSS service-specific callback is registered with <ref kindref="member" refid="group__group__ble__service__api___w_s_s__server__client_1ga728d5d035c633731b93f87c98c531801">Cy_BLE_WSS_RegisterAttrCallback()</ref>:<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__service__api__events_1ggada4b6b6d080ad4380e3a2e3cab4f2d51a8909c71d028675e8149762efe929687b">CY_BLE_EVT_WSSS_INDICATION_CONFIRMED</ref> - If the indication is successfully delivered to the peer device.</para></listitem></itemizedlist>
</para></simplesect>
Otherwise (if the WSS service-specific callback is not registered):<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__common__api__events_1gga7c1ef7e6d246e0f3eb6c883e23d82b86a0a94f7259975f7b14ca57df068382085">CY_BLE_EVT_GATTS_HANDLE_VALUE_CNF</ref> - If the indication is successfully delivered to the peer device. </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="801" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.c" bodystart="759" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" line="175" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___w_s_s__client_1gada5300b58c3dedfaa0e5cfdca86be8aa" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_WSSC_GetCharacteristicValue</definition>
        <argsstring>(cy_stc_ble_conn_handle_t connHandle, cy_en_ble_wss_char_index_t charIndex)</argsstring>
        <name>Cy_BLE_WSSC_GetCharacteristicValue</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
          <declname>connHandle</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___w_s_s__definitions_1gac4573c7d827520f05d8844b2732fbad0">cy_en_ble_wss_char_index_t</ref></type>
          <declname>charIndex</declname>
        </param>
        <briefdescription>
<para>This function is used to read a characteristic value, which is a value identified by charIndex, from the server. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>connHandle</parametername>
</parameternamelist>
<parameterdescription>
<para>The connection handle. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>charIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the service characteristic. Starts with zero.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>A return value of type <ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref>.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The request was sent successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Validation of the input parameter failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_OPERATION &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Operation is invalid for this characteristic. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_STATE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Connection with the server is not established. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Memory allocation failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_GATT_DB_INVALID_ATTR_HANDLE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The peer device doesn't have the particular characteristic &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim><simplesect kind="par"><title>Events</title><para>In case of successful execution (return value = <ref kindref="member" refid="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619ea26e476ee364252903ce212deeb6ec064">CY_BLE_SUCCESS</ref>) the following events can appear: <linebreak />
 If the WSS service-specific callback is registered with <ref kindref="member" refid="group__group__ble__service__api___w_s_s__server__client_1ga728d5d035c633731b93f87c98c531801">Cy_BLE_WSS_RegisterAttrCallback()</ref>:<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__service__api__events_1ggada4b6b6d080ad4380e3a2e3cab4f2d51aa5fd9ffe5cc087953581f2137bcb1fb3">CY_BLE_EVT_WSSC_READ_CHAR_RESPONSE</ref> - If the requested attribute is successfully read on the peer device, the details (charIndex , value, etc.) are provided with event parameter structure of type <ref kindref="compound" refid="structcy__stc__ble__wss__char__value__t">cy_stc_ble_wss_char_value_t</ref>.</para></listitem></itemizedlist>
Otherwise (if an WSS service-specific callback is not registered):<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__common__api__events_1gga7c1ef7e6d246e0f3eb6c883e23d82b86a9f66de88a47e0eb5cd2026421ffcea24">CY_BLE_EVT_GATTC_READ_RSP</ref> - If the requested attribute is successfully read on the peer device, the details (handle, value, etc.) are provided with an event parameter structure <ref kindref="compound" refid="structcy__stc__ble__gattc__read__rsp__param__t">cy_stc_ble_gattc_read_rsp_param_t</ref>.</para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__common__api__events_1gga7c1ef7e6d246e0f3eb6c883e23d82b86a89dd75cdee5a4cf9131a12ad37363fd3">CY_BLE_EVT_GATTC_ERROR_RSP</ref> - If an error occurred with the requested attribute on the peer device, the details are provided with an event parameter structure <ref kindref="compound" refid="structcy__stc__ble__gatt__err__param__t">cy_stc_ble_gatt_err_param_t</ref>. </para></listitem></itemizedlist>
</para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1217" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.c" bodystart="1180" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" line="184" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___w_s_s__client_1ga5315654564bd81e1f5a16dd06c693d8a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_WSSC_SetCharacteristicDescriptor</definition>
        <argsstring>(cy_stc_ble_conn_handle_t connHandle, cy_en_ble_wss_char_index_t charIndex, cy_en_ble_wss_descr_index_t descrIndex, uint8_t attrSize, uint8_t *attrValue)</argsstring>
        <name>Cy_BLE_WSSC_SetCharacteristicDescriptor</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
          <declname>connHandle</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___w_s_s__definitions_1gac4573c7d827520f05d8844b2732fbad0">cy_en_ble_wss_char_index_t</ref></type>
          <declname>charIndex</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___w_s_s__definitions_1ga6bafabf64300f164347aade2e4639c96">cy_en_ble_wss_descr_index_t</ref></type>
          <declname>descrIndex</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>attrSize</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>attrValue</declname>
        </param>
        <briefdescription>
<para>This function is used to write the characteristic descriptor to the server, which is identified by charIndex and descrIndex. </para>        </briefdescription>
        <detaileddescription>
<para>Internally, Write Request is sent to the GATT Server and on successful execution of the request on the server side, the following events can be generated:<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__service__api__events_1ggada4b6b6d080ad4380e3a2e3cab4f2d51a8489ab2f19a4bb7d56b0193a91aa6fd0">CY_BLE_EVT_WSSS_INDICATION_ENABLED</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__service__api__events_1ggada4b6b6d080ad4380e3a2e3cab4f2d51ae040158cc4e2387fec577c7f2eb3d7fe">CY_BLE_EVT_WSSS_INDICATION_DISABLED</ref></para></listitem></itemizedlist>
</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>connHandle</parametername>
</parameternamelist>
<parameterdescription>
<para>The connection handle. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>charIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the service characteristic. Starts with zero. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>descrIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the service characteristic descriptor. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrSize</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the characteristic value attribute. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>attrValue</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the characteristic descriptor value data that should be sent to the server device.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>A return value of type <ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref>.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The request was sent successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Validation of the input parameter failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_OPERATION &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Operation is invalid for this characteristic. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_GATT_DB_INVALID_ATTR_HANDLE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The peer device doesn't have the particular characteristic. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_STATE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The state is not valid. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Memory allocation failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim><simplesect kind="par"><title>Events</title><para>In case of successful execution (return value = <ref kindref="member" refid="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619ea26e476ee364252903ce212deeb6ec064">CY_BLE_SUCCESS</ref>) the following events can appear: <linebreak />
 If the WSS service-specific callback is registered with <ref kindref="member" refid="group__group__ble__service__api___w_s_s__server__client_1ga728d5d035c633731b93f87c98c531801">Cy_BLE_WSS_RegisterAttrCallback()</ref>:<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__service__api__events_1ggada4b6b6d080ad4380e3a2e3cab4f2d51a94bdc36e4bb92643a7cdbc49659df79a">CY_BLE_EVT_WSSC_WRITE_DESCR_RESPONSE</ref> - If the requested attribute is successfully written on the peer device, the details (charIndex, descrIndex, etc.) are provided with event parameter structure of type <ref kindref="compound" refid="structcy__stc__ble__wss__descr__value__t">cy_stc_ble_wss_descr_value_t</ref>.</para></listitem></itemizedlist>
</para></simplesect>
Otherwise (if an WSS service-specific callback is not registered):<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__common__api__events_1gga7c1ef7e6d246e0f3eb6c883e23d82b86a9a5f078b557f3991ed1356d08139b094">CY_BLE_EVT_GATTC_WRITE_RSP</ref> - If the requested attribute is successfully written on the peer device.</para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__common__api__events_1gga7c1ef7e6d246e0f3eb6c883e23d82b86a89dd75cdee5a4cf9131a12ad37363fd3">CY_BLE_EVT_GATTC_ERROR_RSP</ref> - If an error occurred with the requested attribute on the peer device, the details are provided with an event parameter structure ( <ref kindref="compound" refid="structcy__stc__ble__gatt__err__param__t">cy_stc_ble_gatt_err_param_t</ref>). </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1318" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.c" bodystart="1271" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" line="187" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__service__api___w_s_s__client_1gae82d49b8d8308802c9bff0aa21fdf9f1" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_WSSC_GetCharacteristicDescriptor</definition>
        <argsstring>(cy_stc_ble_conn_handle_t connHandle, cy_en_ble_wss_char_index_t charIndex, cy_en_ble_wss_descr_index_t descrIndex)</argsstring>
        <name>Cy_BLE_WSSC_GetCharacteristicDescriptor</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
          <declname>connHandle</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___w_s_s__definitions_1gac4573c7d827520f05d8844b2732fbad0">cy_en_ble_wss_char_index_t</ref></type>
          <declname>charIndex</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__ble__service__api___w_s_s__definitions_1ga6bafabf64300f164347aade2e4639c96">cy_en_ble_wss_descr_index_t</ref></type>
          <declname>descrIndex</declname>
        </param>
        <briefdescription>
<para>Sends a request to get the characteristic descriptor of the specified characteristic of the service. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>connHandle</parametername>
</parameternamelist>
<parameterdescription>
<para>The connection handle. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>charIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the service characteristic. Starts with zero. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>descrIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>The index of the service characteristic descriptor.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>A return value of type <ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref>.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error Codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The request was sent successfully. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Validation of the input parameter failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_OPERATION &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;This operation is not permitted on the specified attribute. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_STATE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The state is not valid. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Memory allocation failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_GATT_DB_INVALID_ATTR_HANDLE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The peer device doesn't have &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;the particular descriptor.</verbatim></para><para><simplesect kind="par"><title>Events</title><para>In case of successful execution (return value = <ref kindref="member" refid="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619ea26e476ee364252903ce212deeb6ec064">CY_BLE_SUCCESS</ref>) the following events can appear: <linebreak />
 If the WSS service-specific callback is registered with <ref kindref="member" refid="group__group__ble__service__api___w_s_s__server__client_1ga728d5d035c633731b93f87c98c531801">Cy_BLE_WSS_RegisterAttrCallback()</ref>:<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__service__api__events_1ggada4b6b6d080ad4380e3a2e3cab4f2d51a8e414e4179848a4e948de5e1732f450d">CY_BLE_EVT_WSSC_READ_DESCR_RESPONSE</ref> - If the requested attribute is successfully read on the peer device, the details (charIndex, descrIndex, value, etc.) are provided with event parameter structure of type <ref kindref="compound" refid="structcy__stc__ble__wss__descr__value__t">cy_stc_ble_wss_descr_value_t</ref>.</para></listitem></itemizedlist>
Otherwise (if an WSS service-specific callback is not registered):<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__ble__common__api__events_1gga7c1ef7e6d246e0f3eb6c883e23d82b86a9f66de88a47e0eb5cd2026421ffcea24">CY_BLE_EVT_GATTC_READ_RSP</ref> - If the requested attribute is successfully read on the peer device, the details (handle, value, etc.) are provided with an event parameter structure <ref kindref="compound" refid="structcy__stc__ble__gattc__read__rsp__param__t">cy_stc_ble_gattc_read_rsp_param_t</ref>.</para></listitem><listitem><para><ref kindref="member" refid="group__group__ble__common__api__events_1gga7c1ef7e6d246e0f3eb6c883e23d82b86a89dd75cdee5a4cf9131a12ad37363fd3">CY_BLE_EVT_GATTC_ERROR_RSP</ref> - If an error occurred with the requested attribute on the peer device, the details are provided with an event parameter structure <ref kindref="compound" refid="structcy__stc__ble__gatt__err__param__t">cy_stc_ble_gatt_err_param_t</ref>. </para></listitem></itemizedlist>
</para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1407" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.c" bodystart="1366" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" line="192" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Contains the function prototypes and constants for Weight Scale service. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>3.50</para></simplesect>
<simplesect kind="copyright"><para>Copyright 2017-2020, Cypress Semiconductor Corporation. All rights reserved. You may use this file only in accordance with the license, terms, conditions, disclaimers, and limitations in the end user license agreement accompanying the software package with which this file was provided. </para></simplesect>
</para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="17"><highlight class="preprocessor">#ifndef<sp />CY_BLE_WSS_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="18"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE_WSS_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="19"><highlight class="normal" /></codeline>
<codeline lineno="20"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_ble.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="21"><highlight class="normal" /></codeline>
<codeline lineno="22"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_IP_MXBLESS)</highlight><highlight class="normal" /></codeline>
<codeline lineno="23"><highlight class="normal" /></codeline>
<codeline lineno="24"><highlight class="normal" /><highlight class="comment">/*<sp />C<sp />binding<sp />of<sp />definitions<sp />if<sp />building<sp />with<sp />C++<sp />compiler<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="25"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="27"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />__cplusplus<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="31"><highlight class="comment">*<sp />API<sp />Constants</highlight></codeline>
<codeline lineno="32"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE_WSS_UNKNOWN_USER<sp /><sp /><sp /><sp />(0xFFu)</highlight><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="38"><highlight class="comment">*<sp />Data<sp />Types</highlight></codeline>
<codeline lineno="39"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="40"><highlight class="normal" /></codeline>
<codeline lineno="47"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="48"><highlight class="normal">{</highlight></codeline>
<codeline lineno="49"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__service__api___w_s_s__definitions_1ggac4573c7d827520f05d8844b2732fbad0ac37645bdfa853d062959545a96c8fa1e">CY_BLE_WSS_WEIGHT_SCALE_FEATURE</ref>,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="50"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__service__api___w_s_s__definitions_1ggac4573c7d827520f05d8844b2732fbad0acdaaf24099c6843873f98fd469582ad9">CY_BLE_WSS_WEIGHT_MEASUREMENT</ref>,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="51"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__service__api___w_s_s__definitions_1ggac4573c7d827520f05d8844b2732fbad0a3cc998ab9723c289445885600faff852">CY_BLE_WSS_CHAR_COUNT</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="52"><highlight class="normal">}<ref kindref="member" refid="group__group__ble__service__api___w_s_s__definitions_1gac4573c7d827520f05d8844b2732fbad0">cy_en_ble_wss_char_index_t</ref>;</highlight></codeline>
<codeline lineno="53"><highlight class="normal" /></codeline>
<codeline lineno="55"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="56"><highlight class="normal">{</highlight></codeline>
<codeline lineno="57"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__service__api___w_s_s__definitions_1gga6bafabf64300f164347aade2e4639c96af04a56bbf095afd3d85bb54b3efde659">CY_BLE_WSS_CCCD</ref>,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="58"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__service__api___w_s_s__definitions_1gga6bafabf64300f164347aade2e4639c96ae7aa48dfff0d08cdd3fcc940b0b17fe1">CY_BLE_WSS_DESCR_COUNT</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="59"><highlight class="normal">}<ref kindref="member" refid="group__group__ble__service__api___w_s_s__definitions_1ga6bafabf64300f164347aade2e4639c96">cy_en_ble_wss_descr_index_t</ref>;</highlight></codeline>
<codeline lineno="60"><highlight class="normal" /></codeline>
<codeline lineno="62" refid="structcy__stc__ble__wss__char__value__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="63"><highlight class="normal">{</highlight></codeline>
<codeline lineno="64"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref><sp /><sp /><sp />connHandle;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="65"><highlight class="normal"><sp /><sp /><sp /><sp />cy_en_ble_wss_char_index_t<sp />charIndex;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="66"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref><sp /><sp /><sp /><sp />*value;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="67"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__ble__wss__char__value__t">cy_stc_ble_wss_char_value_t</ref>;</highlight></codeline>
<codeline lineno="68"><highlight class="normal" /></codeline>
<codeline lineno="70" refid="structcy__stc__ble__wss__descr__value__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="71"><highlight class="normal">{</highlight></codeline>
<codeline lineno="72"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref><sp /><sp /><sp /><sp />connHandle;<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="73"><highlight class="normal"><sp /><sp /><sp /><sp />cy_en_ble_wss_char_index_t<sp /><sp />charIndex;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="74"><highlight class="normal"><sp /><sp /><sp /><sp />cy_en_ble_wss_descr_index_t<sp />descrIndex;<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="75"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref><sp /><sp /><sp /><sp /><sp />*value;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="76"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__ble__wss__descr__value__t">cy_stc_ble_wss_descr_value_t</ref>;</highlight></codeline>
<codeline lineno="77"><highlight class="normal" /></codeline>
<codeline lineno="79" refid="structcy__stc__ble__wsss__char__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="80"><highlight class="normal">{</highlight></codeline>
<codeline lineno="82"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref><sp />charHandle;</highlight></codeline>
<codeline lineno="83"><highlight class="normal" /></codeline>
<codeline lineno="85"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref><sp />descrHandle[<ref kindref="member" refid="group__group__ble__service__api___w_s_s__definitions_1gga6bafabf64300f164347aade2e4639c96ae7aa48dfff0d08cdd3fcc940b0b17fe1">CY_BLE_WSS_DESCR_COUNT</ref>];</highlight></codeline>
<codeline lineno="86"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__ble__wsss__char__t">cy_stc_ble_wsss_char_t</ref>;</highlight></codeline>
<codeline lineno="87"><highlight class="normal" /></codeline>
<codeline lineno="89" refid="structcy__stc__ble__wsss__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="90"><highlight class="normal">{</highlight></codeline>
<codeline lineno="91"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref><sp />serviceHandle;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="92"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__ble__wsss__char__t">cy_stc_ble_wsss_char_t</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp />charInfo[<ref kindref="member" refid="group__group__ble__service__api___w_s_s__definitions_1ggac4573c7d827520f05d8844b2732fbad0a3cc998ab9723c289445885600faff852">CY_BLE_WSS_CHAR_COUNT</ref>];<sp /></highlight></codeline>
<codeline lineno="93"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__ble__wsss__t">cy_stc_ble_wsss_t</ref>;</highlight></codeline>
<codeline lineno="94"><highlight class="normal" /></codeline>
<codeline lineno="96" refid="structcy__stc__ble__wssc__char__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="97"><highlight class="normal">{</highlight></codeline>
<codeline lineno="98"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref><sp />valueHandle;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="99"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />properties;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="100"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref><sp />endHandle;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="101"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref><sp />descrHandle[<ref kindref="member" refid="group__group__ble__service__api___w_s_s__definitions_1gga6bafabf64300f164347aade2e4639c96ae7aa48dfff0d08cdd3fcc940b0b17fe1">CY_BLE_WSS_DESCR_COUNT</ref>];<sp /></highlight></codeline>
<codeline lineno="102"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__ble__wssc__char__t">cy_stc_ble_wssc_char_t</ref>;</highlight></codeline>
<codeline lineno="103"><highlight class="normal" /></codeline>
<codeline lineno="105" refid="structcy__stc__ble__wssc__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="106"><highlight class="normal">{</highlight></codeline>
<codeline lineno="108"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref><sp />serviceHandle;</highlight></codeline>
<codeline lineno="109"><highlight class="normal" /></codeline>
<codeline lineno="111"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__ble__wssc__char__t">cy_stc_ble_wssc_char_t</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp />charInfo[<ref kindref="member" refid="group__group__ble__service__api___w_s_s__definitions_1ggac4573c7d827520f05d8844b2732fbad0a3cc998ab9723c289445885600faff852">CY_BLE_WSS_CHAR_COUNT</ref>];</highlight></codeline>
<codeline lineno="112"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__ble__wssc__t">cy_stc_ble_wssc_t</ref>;</highlight></codeline>
<codeline lineno="113"><highlight class="normal" /></codeline>
<codeline lineno="115" refid="structcy__stc__ble__wsss__config__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="116"><highlight class="normal">{</highlight></codeline>
<codeline lineno="118"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__ble__wsss__t">cy_stc_ble_wsss_t</ref><sp />*attrInfo;</highlight></codeline>
<codeline lineno="119"><highlight class="normal" /></codeline>
<codeline lineno="120"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__ble__wsss__config__t">cy_stc_ble_wsss_config_t</ref>;</highlight></codeline>
<codeline lineno="121"><highlight class="normal" /></codeline>
<codeline lineno="123" refid="structcy__stc__ble__wssc__config__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="124"><highlight class="normal">{</highlight></codeline>
<codeline lineno="126"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__ble__wssc__t">cy_stc_ble_wssc_t</ref><sp />*attrInfo;</highlight></codeline>
<codeline lineno="127"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="129"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />serviceDiscIdx;</highlight></codeline>
<codeline lineno="130"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="131"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__ble__wssc__config__t">cy_stc_ble_wssc_config_t</ref>;</highlight></codeline>
<codeline lineno="132"><highlight class="normal" /></codeline>
<codeline lineno="136"><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="137"><highlight class="comment">*<sp />Function<sp />Prototypes</highlight></codeline>
<codeline lineno="138"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="139"><highlight class="normal" /></codeline>
<codeline lineno="140"><highlight class="normal" /></codeline>
<codeline lineno="144"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp /><ref kindref="member" refid="group__group__ble__service__api___w_s_s__server__client_1ga13e1b6f5aaf43fb336c36d0f3c646c8f">Cy_BLE_WSSS_Init</ref>(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__ble__wsss__config__t">cy_stc_ble_wsss_config_t</ref><sp />*config);</highlight></codeline>
<codeline lineno="145"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp /><ref kindref="member" refid="group__group__ble__service__api___w_s_s__server__client_1gac6c3728e735d13d2dabb0072016478e5">Cy_BLE_WSSC_Init</ref>(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__ble__wssc__config__t">cy_stc_ble_wssc_config_t</ref><sp />*config);</highlight></codeline>
<codeline lineno="146"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__ble__service__api___w_s_s__server__client_1ga728d5d035c633731b93f87c98c531801">Cy_BLE_WSS_RegisterAttrCallback</ref>(<ref kindref="member" refid="group__group__ble__common__api__gap__definitions_1ga61c94db1ed82ed7113ce6aaecb5fead8">cy_ble_callback_t</ref><sp />callbackFunc);</highlight></codeline>
<codeline lineno="153"><highlight class="normal">uint8_t<sp /><ref kindref="member" refid="group__group__ble__service__api___w_s_s__server_1ga64ca37f62f919e2022838b16d14f9284">Cy_BLE_WSS_GetAdUserIdListSize</ref>(uint8_t<sp />advertisingParamIndex);</highlight></codeline>
<codeline lineno="154"><highlight class="normal" /></codeline>
<codeline lineno="155"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp /><ref kindref="member" refid="group__group__ble__service__api___w_s_s__server_1ga32aac713112ce5bf3fb15f0f4a7350f9">Cy_BLE_WSS_SetAdUserId</ref>(uint8_t<sp />listSize,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />uint8_t<sp />userIdList[],</highlight></codeline>
<codeline lineno="156"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />advertisingParamIndex);</highlight></codeline>
<codeline lineno="157"><highlight class="normal" /></codeline>
<codeline lineno="158"><highlight class="normal" /></codeline>
<codeline lineno="159"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp /><ref kindref="member" refid="group__group__ble__service__api___w_s_s__server_1ga052664493c2671fd0c97de7356d76d88">Cy_BLE_WSSS_SetCharacteristicValue</ref>(cy_en_ble_wss_char_index_t<sp />charIndex,<sp />uint8_t<sp />attrSize,</highlight></codeline>
<codeline lineno="160"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*attrValue);</highlight></codeline>
<codeline lineno="161"><highlight class="normal" /></codeline>
<codeline lineno="162"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp /><ref kindref="member" refid="group__group__ble__service__api___w_s_s__server_1gae0608ae961a56de2e049969502f7e154">Cy_BLE_WSSS_GetCharacteristicValue</ref>(cy_en_ble_wss_char_index_t<sp />charIndex,<sp />uint8_t<sp />attrSize,</highlight></codeline>
<codeline lineno="163"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*attrValue);</highlight></codeline>
<codeline lineno="164"><highlight class="normal" /></codeline>
<codeline lineno="165"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp /><ref kindref="member" refid="group__group__ble__service__api___w_s_s__server_1gaec4f231e95c86001c7883fb7ae974db8">Cy_BLE_WSSS_SetCharacteristicDescriptor</ref>(<ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref><sp />connHandle,</highlight></codeline>
<codeline lineno="166"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_en_ble_wss_char_index_t<sp />charIndex,</highlight></codeline>
<codeline lineno="167"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_en_ble_wss_descr_index_t<sp />descrIndex,<sp />uint8_t<sp />attrSize,</highlight></codeline>
<codeline lineno="168"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*attrValue);</highlight></codeline>
<codeline lineno="169"><highlight class="normal" /></codeline>
<codeline lineno="170"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp /><ref kindref="member" refid="group__group__ble__service__api___w_s_s__server_1gaf1d71bc0a61e069af9f0d7ea6179ea57">Cy_BLE_WSSS_GetCharacteristicDescriptor</ref>(<ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref><sp />connHandle,</highlight></codeline>
<codeline lineno="171"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_en_ble_wss_char_index_t<sp />charIndex,</highlight></codeline>
<codeline lineno="172"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_en_ble_wss_descr_index_t<sp />descrIndex,<sp />uint8_t<sp />attrSize,</highlight></codeline>
<codeline lineno="173"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*attrValue);</highlight></codeline>
<codeline lineno="174"><highlight class="normal" /></codeline>
<codeline lineno="175"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp /><ref kindref="member" refid="group__group__ble__service__api___w_s_s__server_1gab9c7ee25c4543bd73783c2d3e1706b91">Cy_BLE_WSSS_SendIndication</ref>(<ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref><sp />connHandle,</highlight></codeline>
<codeline lineno="176"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_en_ble_wss_char_index_t<sp />charIndex,<sp />uint8_t<sp />attrSize,</highlight></codeline>
<codeline lineno="177"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*attrValue);</highlight></codeline>
<codeline lineno="184"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp /><ref kindref="member" refid="group__group__ble__service__api___w_s_s__client_1gada5300b58c3dedfaa0e5cfdca86be8aa">Cy_BLE_WSSC_GetCharacteristicValue</ref>(<ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref><sp />connHandle,</highlight></codeline>
<codeline lineno="185"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_en_ble_wss_char_index_t<sp />charIndex);</highlight></codeline>
<codeline lineno="186"><highlight class="normal" /></codeline>
<codeline lineno="187"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp /><ref kindref="member" refid="group__group__ble__service__api___w_s_s__client_1ga5315654564bd81e1f5a16dd06c693d8a">Cy_BLE_WSSC_SetCharacteristicDescriptor</ref>(<ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref><sp />connHandle,</highlight></codeline>
<codeline lineno="188"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_en_ble_wss_char_index_t<sp />charIndex,</highlight></codeline>
<codeline lineno="189"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_en_ble_wss_descr_index_t</highlight></codeline>
<codeline lineno="190"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />descrIndex,<sp />uint8_t<sp />attrSize,<sp />uint8_t<sp />*attrValue);</highlight></codeline>
<codeline lineno="191"><highlight class="normal" /></codeline>
<codeline lineno="192"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp /><ref kindref="member" refid="group__group__ble__service__api___w_s_s__client_1gae82d49b8d8308802c9bff0aa21fdf9f1">Cy_BLE_WSSC_GetCharacteristicDescriptor</ref>(<ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref><sp />connHandle,</highlight></codeline>
<codeline lineno="193"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_en_ble_wss_char_index_t<sp />charIndex,</highlight></codeline>
<codeline lineno="194"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_en_ble_wss_descr_index_t</highlight></codeline>
<codeline lineno="195"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />descrIndex);</highlight></codeline>
<codeline lineno="200"><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="201"><highlight class="comment">*<sp />External<sp />Data<sp />references</highlight></codeline>
<codeline lineno="202"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="203"><highlight class="normal" /></codeline>
<codeline lineno="204"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__ble__wsss__config__t">cy_stc_ble_wsss_config_t</ref><sp />*cy_ble_wsssConfigPtr;</highlight></codeline>
<codeline lineno="205"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__ble__wssc__config__t">cy_stc_ble_wssc_config_t</ref><sp />*cy_ble_wsscConfigPtr;</highlight></codeline>
<codeline lineno="206"><highlight class="normal" /></codeline>
<codeline lineno="207"><highlight class="normal" /></codeline>
<codeline lineno="208"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="209"><highlight class="normal">}</highlight></codeline>
<codeline lineno="210"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />__cplusplus<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="211"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_IP_MXBLESS<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="212"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_BLE_WSS_H<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="213"><highlight class="normal" /></codeline>
<codeline lineno="214"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_wss.h" />
  </compounddef>
</doxygen>